# $Revision: 1.141.2.7 $, $Date: 2003/07/07 22:10:02 $
#
# Conditional build:
# _with_fpx	- with FlashPIX support through fpx library
# _with_gs	- with PostScript support through ghostscript library (warning: breaks jpeg!)
# _with_hdf	- with HDF support through hdf library
# _with_jasper	- with JPEG2000 support through jasper library
#
%include	/usr/lib/rpm/macros.perl
Summary:	Image display, conversion, and manipulation under X
Summary(de):	Darstellen, Konvertieren und Bearbeiten von Grafiken unter X
Summary(es):	Exhibidor, convertidor y manipulador de imgenes bajo X
Summary(fr):	Visualisation, conversion, et manipulation d'images sous X
Summary(pl):	Narzdzie do wywietlania, konwersji i manipulacji grafikami
Summary(pt_BR):	Exibidor, conversor e manipulador de imagens sob X
Summary(ru):	, ,    X Windows
Summary(tr):	X altnda resim gsterme, evirme ve deiiklik yapma
Summary(uk):	,     Ц X Windows
Name:		ImageMagick
Version:	5.4.9
Release:	4
Epoch:		1
License:	Freeware
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/imagemagick/%{name}-%{version}.tar.bz2
# Source0-md5:	b807822cbabdba7ddf9700784fb1ffb7
Patch0:		%{name}-libpath.patch
Patch1:		%{name}-perlpaths.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-tmp_fix.patch
URL:		http://www.imagemagick.org/
BuildRequires:	XFree86-DPS-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	bzip2-devel >= 1.0.1
%{?_with_fpx:BuildRequires:	fpx-devel}
BuildRequires:	freetype-devel >= 2.0.2-2
%{?_with_gs:BuildRequires:	ghostscript-devel}
%{?_with_hdf:BuildRequires:	hdf-devel}
%{?_with_jasper:BuildRequires:	jasper-devel}
BuildRequires:	jbigkit-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libplot-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libwmf-devel >= 0.2.2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mpeg2dec-devel
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-18
Requires:	%{name}-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_includedir	%{_prefix}/include/X11
%define		_perlmandir	/usr/share/man

%description
ImageMagick is an image display, conversion, and manipulation tool. It
runs under X windows. It is very powerful in terms of it's ability to
allow the user to edit images. It can handle many different formats as
well.

%description -l de
ImageMagick ist ein Tool zur Bildanzeige, -konvertierung und
manipulation, -das unter X-Windows luft. Es ist enorm leitungsfhig
in Bezug auf die Grafikmanipulationsfunktionen, die es dem Anwender
bietet, und auf die Vielfalt der untersttzten Formate.

%description -l es
ImageMagick es una herramienta para manipular, convertir y exhibir
imgenes, que funciona bajo X Window. Es una herramienta potente que
permite editar imgenes, pudiendo manipular varios formatos
diferentes.

%description -l fr
ImageMagick est un outil d'affichage, de conversion et de manipulation
d'images. Il tourne sous X Window et est trs puissant en termes de
capacit d'dition des images. Il peut aussi grer de nombreux formats
diffrents.

%description -l pl
ImageMagick jest narzdziem do manipulacji, konwersji i wywietlania.
W skad pakietu wchodz zarwno narzdzia X Window jak i do uywania z
linii polece umoliwiajce edycj plikw graficznych. Narzdzia z
pakietu ImageMagick potrafi obsuy wiele rnych formatw
graficznych.

%description -l pt_BR
ImageMagick  uma ferramenta para manipular, converter e exibir
imagens, que funciona sob o X Window.  uma ferramenta poderosa que
permite editar imagens, podendo tratar vrios formatos diferentes.

%description -l ru
ImageMagick -    ,   
.    X Windows. ImageMagick 
       
 .

%description -l tr
ImageMagick bir resim gsterme, evirme ve deiiklik yapma
programdr. X Window pencereleme sistemi altnda alr. Kullancya
resimler zerinde deiiklik yapma asndan pek ok olanak sunar. Bir
ok resim biimini rahatlkla kullanabilir.

%description -l uk
ImageMagick -  ̦  ,   
.   Ц X Windows. ImageMagick  
˦ Ԧ  æ   ҦΦ .

%package devel
Summary:	Libraries and header files for ImageMagick development
Summary(es):	Biblioteca esttica y archivos de inclusin para desarrollo con libMagick
Summary(pl):	Biblioteki i pliki nagwkowe dla ImageMagick
Summary(pt_BR):	Biblioteca e arquivos de incluso para desenvolvimento com libMagick
Summary(ru):	      ImageMagick
Summary(uk):	  ¦̦    ImageMagick
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	expat-devel
%{?_with_fpx:Requires:	fpx-devel}
Requires:	freetype-devel
%{?_with_gs:Requires:	ghostscript-devel}
%{?_with_hdf:Requires:	hdf-devel}
%{?_with_jasper:Requires:	jasper-devel}
Requires:	jbigkit-devel
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	libplot-devel
Requires:	libwmf-devel
Requires:	libxml2-devel
Requires:	mpeg2dec-devel
Requires:	XFree86-DPS-devel
Requires:	libtiff-devel
Requires:	libpng-devel
Requires:	XFree86-devel
Requires:	bzip2-devel

%description devel
This is the ImageMagick development package. It includes header files
for use in developing your own applications that make use of the
ImageMagick code and/or APIs.

%description devel -l de
Dies ist das ImageMagick-Entwicklerpaket. Es enthlt Header-Dateien
zum Entwickeln von Anwendungen, die ImageMagick-Code und/oder -APIs
nutzen.

%description devel -l es
Este es el paquete de desarrollo ImageMagick. Incluye las bibliotecas
y los archivos de inclusin para el desarrollo de sus propias
aplicaciones que hacen uso del cdigo ImageMagick y/el APIs.

%description devel -l fr
Paquetage de dveloppement ImageMagick. Contient les bibliothques
statiques et les en-ttes utiliss pour crer vos propres applications
utilisant le code d'ImageMagick et/ou ses APIs.

%description devel -l pl
Pakiet ten zawieraja pliki potrzebne przy kompilowaniu programw
wykorzystujcych blibliotek ImageMagick takie jak pliki nagwkowe i
dokumentacj niezbdn przy pisaniu wasnych programw z
wykorzystaniem API jakie udostpnia ImageMagick.

%description devel -l pt_BR
Este  o pacote de desenvolvimento ImageMagick. Inclui as bibliotecas
e os arquivos de incluso para o desenvolvimento de suas prprias
aplicaes que fazem uso do cdigo ImageMagick e/ou APIs.

%description devel -l ru
      ImageMagick.  
      ,  
  API ImageMagick.

%description devel -l tr
Bu paket, ImageMagick uygulama arayzn kullanan programlar
gelitirmek iin gereken balk dosyalarn ve kitaplklar ierir.

%description devel -l uk
     ImageMagick.  ͦ  
¦̦    ,     API
ImageMagick.

%package static
Summary:	ImageMagick static libraries
Summary(pl):	Biblioteki statyczne ImageMagick
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libMagick
Summary(ru):	     ImageMagick
Summary(uk):	Φ ¦̦    ImageMagick
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
ImageMagick static libraries.

%description static -l pl
Biblioteki statyczne ImageMagick.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com libMagick.

%description static -l ru
     ,   
  ImageMagick-devel.

%description static -l uk
   ڦ  ¦̦, ˦ ¦   
 ImageMagick-devel.

%package perl
Summary:	Libraries and modules for access to ImageMagick from perl
Summary(pl):	Biblioteki i moduy perla dla ImageMagick
Summary(pt_BR):	Mdulo perl para uso com o ImageMagick
Summary(ru):	      ImageMagick  perl
Summary(uk):	̦  ̦    ImageMagick  Perl
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}

%description perl
This is the ImageMagick perl support package. It perl modules and
support files for access to ImageMagick library from perl without
unuseful forking or such.

%description perl -l pl
Biblioteki i moduy umoliwiajce korzystanie z ImageMagick z poziomu
perla.

%description perl -l pt_BR
Este pacote fornece um mdulo perl para acessar funes do ImageMagick
em scripts perl.

%description perl -l ru
  ImageMagick   perl.    perl 
      ImageMagick  perl.

%description perl -l uk
  ImageMagick  Ц Perl.  ͦ ̦ Perl 
צ     ¦̦ ImageMagick  Perl.

%package libs
Summary:	ImageMagick libraries
Summary(pl):	Biblioteki ImageMagick
Summary(pt_BR):	Bibliotecas dinmicas do ImageMagick
Group:		X11/Libraries

%description libs
ImageMagick libraries.

%description libs -l pl
Biblioteki ImageMagick.

%description libs -l pt_BR
Bibliotecas dinmicas do ImageMagick.

%package c++
Summary:	ImageMagick Magick++ library
Summary(pl):	Biblioteka Magick++
Summary(pt_BR):	Bibliotecas dinmicas do ImageMagick
Summary(ru):	 Magick++ (C++   ImageMagick')
Summary(uk):	̦ Magick++ ( C++  ImageMagick)
Group:		X11/Libraries
Requires:	%{name}-libs = %{version}

%description c++
This package contains the Magick++ library, a C++ binding to the
ImageMagick graphics manipulation library.

Install ImageMagick-c++ if you want to use any applications that use
Magick++.

%description c++ -l pl
Pakiet zawiera bibliotek Magick++ - interfejs w C++ do biblioteki
ImageMagick. Jest potrzebny do uruchamiania programw korzystajcych z
Magick++.

%description c++ -l pt_BR
Bibliotecas dinmicas C++ do ImageMagick.

%description c++ -l ru
Magick++ -- - ,  
 C++ API  ImageMagick (  ,
   ).

%description c++ -l uk
Magick++ -- '-Ҧ ¦̦,  Ѥ  C++ API 
ImageMagick (¦̦  ,   
).

%package c++-devel
Summary:	C++ bindings for the ImageMagick library
Summary(es):	Biblioteca esttica y archivos de inclusin para desarrollo con libMagick++
Summary(pl):	Pliki nagwkowe z interfejsem C++ do ImageMagick
Summary(pt_BR):	Biblioteca e arquivos de incluso para desenvolvimento com libMagick++
Summary(ru):	       Magick++ (C++   ImageMagick')
Summary(uk):	  ¦̦     Magick++ ( C++  ImageMagick)
Group:		X11/Development/Libraries
Requires:	%{name}-c++ = %{version}
Requires:	%{name}-devel = %{version}

%description c++-devel
ImageMagick-c++-devel contains header files you'll need to develop
ImageMagick applications using the Magick++ C++ bindings. ImageMagick
is an image manipulation program.

If you want to create applications that will use Magick++ code or
APIs, you'll need to install ImageMagick-c++-devel, ImageMagick-devel
and ImageMagick. You don't need to install it if you just want to use
ImageMagick, or if you want to develop/compile applications using the
ImageMagick C interface, however.

%description c++-devel -l es
Este es el paquete de desarrollo ImageMagick. Incluye las bibliotecas
estticas y los archivos de inclusin para el desarrollo de sus
propias aplicaciones que hacen uso del cdigo ImageMagick y/el APIs.

%description c++-devel -l pl
Pakiet zawiera pliki nagwkowe potrzebne do kompilowania programw
korzystajcych z Magick++.

%description c++-devel -l pt_BR
Este  o pacote de desenvolvimento libMagick++. Inclui as bibliotecas
e os arquivos de incluso para o desenvolvimento de suas prprias
aplicaes C++ que fazem uso do cdigo ImageMagick e/ou APIs.

%description c++-devel -l ru
      ImageMagick.  
      ,  
  API Magick++ (C++   ImageMagick').

%description c++-devel -l uk
     ImageMagick.  ͦ  
¦̦    ,     API
Magick++ ( C++  ImageMagick).

%package c++-static
Summary:	C++ bindings for the ImageMagick - static library
Summary(pl):	Interfejs C++ do ImageMagick - biblioteka statyczna
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libMagick
Summary(ru):	  C++    ImageMagick
Summary(uk):	Φ ¦̦ C++    ImageMagick
Group:		X11/Development/Libraries
Requires:	%{name}-c++-devel = %{version}
Requires:	%{name}-devel = %{version}

%description c++-static
C++ bindings for the ImageMagick - static library.

%description c++-static -l pl
Biblioteka Magick++ w wersji statycznej.

%description c++-static -l pt_BR
Bibliotecas estticas para desenvolvimento com libMagick++.

%description c++-static -l ru
     ,   
  ImageMagick-c++-devel.

%description c++-static -l uk
   ڦ  ¦̦, ˦ ¦   
 ImageMagick-c++-devel.

%prep
%setup  -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
#CPPFLAGS="$CPPFLAGS -I/usr/include/g++"
%configure \
	--enable-16bit-pixel \
	--enable-lzw \
	--enable-shared \
	--with-gs-font-dir=%{_fontsdir}/Type1 \
	%{!?_with_fpx:--without-fpx} \
	%{!?_with_gs:--without-gslib} \
	%{?_with_hdf:--with-hdf} \
	%{!?_with_jasper:--without-jp2} \
	--with-magick_plus_plus \
	--with-perl \
	--with-threads \
	--with-ttf \
	--with-x

%{__make}
%{__make} -C Magick++

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-perl

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install PerlMagick/demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-perl

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libMagick.so.*.*

%files
%defattr(644,root,root,755)
%dir %{_libdir}/ImageMagick
%{_libdir}/ImageMagick/*.mgk

%attr(755,root,root) %{_bindir}/animate
#%attr(755,root,root) %{_bindir}/cgimagick
%attr(755,root,root) %{_bindir}/composite
%attr(755,root,root) %{_bindir}/conjure
%attr(755,root,root) %{_bindir}/convert
%attr(755,root,root) %{_bindir}/display
%attr(755,root,root) %{_bindir}/identify
%attr(755,root,root) %{_bindir}/import
#%attr(755,root,root) %{_bindir}/iptcutil
%attr(755,root,root) %{_bindir}/mogrify
%attr(755,root,root) %{_bindir}/montage

%{_mandir}/man1/[Iacdim]*

%files devel
%defattr(644,root,root,755)
%doc images www ImageMagick.html README.txt

%attr(755,root,root) %{_bindir}/Magick-config
%attr(755,root,root) %{_libdir}/libMagick.so
%attr(755,root,root) %{_libdir}/libMagick.la
%{_includedir}/magick

%{_mandir}/man[45]/*
%{_mandir}/man1/Magick-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libMagick.a

%files perl
%defattr(644,root,root,755)
%{perl_sitearch}/Image
%dir %{perl_sitearch}/auto/Image
%dir %{perl_sitearch}/auto/Image/Magick
%{perl_sitearch}/auto/Image/Magick/autosplit.ix
%{perl_sitearch}/auto/Image/Magick/Magick.bs
%attr(755,root,root) %{perl_sitearch}/auto/Image/Magick/Magick.so
%{_perlmandir}/man3/Image::Magick.*
%{_examplesdir}/%{name}-perl

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libMagick++.so.*.*

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Magick++-config
%attr(755,root,root) %{_libdir}/libMagick++.la
%attr(755,root,root) %{_libdir}/libMagick++.so
%{_prefix}/include/Magick++
%{_prefix}/include/Magick++.h
%{_mandir}/man1/Magick++-config.1*

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libMagick++.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ImageMagick.spec,v $
Revision 1.141.2.7  2003/07/07 22:10:02  blues
- domain fixed

Revision 1.141.2.6  2003/07/07 19:43:00  ankry
- removed bogus es descriptions/summaries
- cosmetics

Revision 1.141.2.5  2003/07/07 18:28:15  misi3k
- rel 4
- added security patch
CVE: CAN-2003-0455
BUG(sectrack):
A vulnerability was reported in ImageMagick. A local user may be able to obtain
elevated privileges on the system.

Revision 1.122  2002/09/14 09:54:46  qboosh
- removed obsolete old_am patch and some hacks from spec
- added new conjure utility
- release 2

Revision 1.121  2002/09/10 17:33:11  kloczek
- updated to 5.4.9 and merge DEVEL branch,
- updated %files.

Revision 1.16.4.2  2002/09/07 08:42:57  qboosh
- updated to 5.4.8-2

Revision 1.16.4.1  2002/07/03 20:01:36  ankry
- version 5.4.7, release 1
- BR: automake >= 1.6 (hopefully not 1.6.2 - %%patch4)
